Skip to main content
GET
/
api
/
v1
/
campaigns
/
{campaign_id}
/
leads
/
{lead_id}
curl "https://server.smartlead.ai/api/v1/campaigns/123/leads/789?api_key=YOUR_KEY"
{
  "id": 789,
  "email": "john@company.com",
  "first_name": "John",
  "last_name": "Doe",
  "company_name": "ACME Corp",
  "status": "INPROGRESS",
  "category_id": 1,
  "category_name": "Interested",
  "email_stats": {
    "is_opened": true,
    "is_clicked": true,
    "is_replied": true
  },
  "custom_fields": {
    "job_title": "CEO"
  }
}
Get complete lead details including contact info, engagement stats, category, and custom fields.

Path Parameters

campaign_id
number
required
Campaign ID
lead_id
number
required
Lead ID

Query Parameters

api_key
string
required
Your SmartLead API key
curl "https://server.smartlead.ai/api/v1/campaigns/123/leads/789?api_key=YOUR_KEY"

Response Example

{
  "id": 789,
  "email": "john@company.com",
  "first_name": "John",
  "last_name": "Doe",
  "company_name": "ACME Corp",
  "status": "INPROGRESS",
  "category_id": 1,
  "category_name": "Interested",
  "email_stats": {
    "is_opened": true,
    "is_clicked": true,
    "is_replied": true
  },
  "custom_fields": {
    "job_title": "CEO"
  }
}